#
#   lilo.raid.conf
#
#
# A RAID installation is called for.  With (version 22) of LILO
# the boot record will be installed on the RAID partition.  The
# Master Boot Record will find the record on (hda2), which is marked
# as an active partition.  (sdb1) is also marked active.  If (hda) fails,
# it will be possible to boot by disabling the IDE controller in BIOS,
# which will cause (sdb) to become device 0x80, and boot appropriately.

boot = /dev/md1

#
# Auxiliary boot records will be installed automatically.  Since
# this is a PARALLEL raid device, there will be no boot records
# other that the one written to the RAID set  (sdb1, hda2).

raid-extra-boot = auto

#
# The SCSI controller BIOS assigns device codes backwards
# from what one might expect, so we make the BIOS device
# code assignment by the BIOS explict:

disk=/dev/hda
   bios=0x80
disk=/dev/sda
   bios=0x82
disk=/dev/sdb
   bios=0x81

#
# Always prompt for a boot selection, timing out after
# 30.0 seconds

prompt
  timeout=300

#
# Use the MENU interface, specifying the title and color scheme

install = /boot/boot-menu.b
menu-title = " RAID boot on CARMEN "
menu-scheme = "wk:Wg:wk:Gk"

#
#  Specify the kernel to boot if the use makes no selection
#  withing the 'timeout=' period.

default=linux

# 
#  Both kernels below use the same root directory, which
#  is mounted initially "read-only"

root=/dev/md1
  read-only


#########################################
# end sample-raid.conf Global section	#
#########################################

#
#  This is the kernel we usually boot

image=/boot/vmlinuz-2.4.2-2
	label=linux 
	append="reboot=warm"
	initrd=/boot/initrd-2.4.2-2.img

#
#  This is an alternate kernel

image=/boot/vmlinuz-2.2.14-5.0
	label=linux.bak
	append="reboot=warm"
	initrd=/boot/initrd-2.2.14-5.0.img

#
#  This system also will run DOS, but we have
#  to fake DOS into thinking it is booting from
#  drive C:

other=/dev/sdb2
	label=dosB2
	map-drive = 0x80  to = 0x81
	map-drive = 0x81  to = 0x82
	map-drive = 0x82  to = 0x80

#
#  We can boot OS/2 from a secondary partition.  The 'table='
#  specification tells OS/2 that the secondary (boot) parition
#  mounts as drive E:.  Versions of LILO prior to version 22 will 
#  require a special boot loader, but as of version 22, all
#  chain loader functions have been combined into the default
#  chain loader, '/boot/chain.b'.

other=/dev/sda5
#	loader=/boot/os2_d.b
	label=os2
	table=E:
	change
	  partition=/dev/hda1
	    set=DOS16_big_hidden
	  partition=/dev/hda2
	    set=NTFS_hidden

#  Partition change rules are required to force drive E: to 
#  be assinged properly.  MS & IBM partitions may be NORMAL
#  or HIDDEN.

#########################################
# end sample-raid.conf			#
#########################################


